import cv2 as cv
import numpy as np
import Adafruit_BBIO.GPIO as GPIO
import time

GPIO.setup("P8_10", GPIO.OUT)
cap = cv.VideoCapture(0)
count = 0

while(count < 100):

    _, frame = cap.read()

    # Convert BGR to HSV
    hsv = cv.cvtColor(frame, cv.COLOR_BGR2HSV)

    # define range of green color in HSV
    lower_green = np.array([65,60,60])
    upper_green = np.array([80,255,255])

    # Threshold the HSV image to get only green colors
    mask = cv.inRange(hsv, lower_green, upper_green)

    kernel = np.ones((5,5),'int')
    dilated = cv.dilate(mask,kernel)
    # Bitwise-AND mask and original image
    res = cv.bitwise_and(frame,frame, mask=mask)
    ret,thrshed = cv.threshold(cv.cvtColor(res,cv.COLOR_BGR2GRAY),3,255,cv.THRESH_BINARY)
    image, contours, hier = cv.findContours(thrshed,cv.RETR_EXTERNAL,cv.CHAIN_APPROX_SIMPLE)

    for cnt in contours:
        #Contour area is taken
        area = cv.contourArea(cnt)

        if area >1000:
            #print "found"
            GPIO.output("P8_10", GPIO.HIGH)
        else:
            GPIO.output("P8_10", GPIO.LOW)

    count = count + 1
    time.sleep(0.5)

cap.release()
GPIO.cleanup()
